Bug 926885 - SELinux is preventing /usr/bin/cpupower from using the 'sys_rawio' capabilities.
Summary: SELinux is preventing /usr/bin/cpupower from using the 'sys_rawio' capabilities.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:36c81130737f31bcac1074e380e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-23 21:04 UTC by Davi
Modified: 2014-09-13 18:58 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:49:29 UTC


Attachments (Terms of Use)

Description Davi 2013-03-23 21:04:20 UTC
Description of problem:
changed profile with tuned-adm
SELinux is preventing /usr/bin/cpupower from using the 'sys_rawio' capabilities.

*****  Plugin catchall (100. confidence) suggests  ***************************

If você acredita que o cpupower deva ser permitido a capacidade de sys_rawio  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep cpupower /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:tuned_t:s0
Target Context                system_u:system_r:tuned_t:s0
Target Objects                 [ capability ]
Source                        cpupower
Source Path                   /usr/bin/cpupower
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           kernel-tools-3.8.3-203.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-86.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.3-203.fc18.x86_64 #1 SMP Mon
                              Mar 18 12:59:28 UTC 2013 x86_64 x86_64
Alert Count                   5
First Seen                    2013-03-22 08:39:10 BRT
Last Seen                     2013-03-23 17:59:25 BRT
Local ID                      3f0056f0-6a67-447e-b455-1ccb1685f879

Raw Audit Messages
type=AVC msg=audit(1364072365.609:639): avc:  denied  { sys_rawio } for  pid=30919 comm="cpupower" capability=17  scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:system_r:tuned_t:s0 tclass=capability


type=SYSCALL msg=audit(1364072365.609:639): arch=x86_64 syscall=open success=no exit=EPERM a0=7fffafcfec10 a1=0 a2=7fffafcfec1e a3=3 items=0 ppid=701 pid=30919 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=cpupower exe=/usr/bin/cpupower subj=system_u:system_r:tuned_t:s0 key=(null)

Hash: cpupower,tuned_t,tuned_t,capability,sys_rawio

audit2allow

#============= tuned_t ==============
allow tuned_t self:capability sys_rawio;

audit2allow -R
require {
	type tuned_t;
	class capability sys_rawio;
}

#============= tuned_t ==============
allow tuned_t self:capability sys_rawio;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.3-203.fc18.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2013-03-25 11:06:56 UTC
Fixed in selinux-policy-3.11.1-88.fc18.noarch

Comment 3 Florian Weimer 2013-04-02 09:49:50 UTC
Description of problem:
tuned was restarted during an update

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.4-202.fc18.x86_64
type:           libreport

Comment 4 Heiko Adams 2013-04-02 19:54:06 UTC
Description of problem:
Just started the tuned service and than the error occurs

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.4-202.fc18.x86_64
type:           libreport

Comment 5 Heiko Adams 2013-04-02 20:07:09 UTC
Description of problem:
Started the tuned service

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.4-202.fc18.x86_64
type:           libreport

Comment 6 julien.bonachera 2013-04-06 11:30:55 UTC
Description of problem:
Step to reprocude, on a clean fedora install:
	yum install tuned
	service tuned start


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.5-201.fc18.x86_64
type:           libreport

Comment 7 Markus Schulze 2013-04-07 00:34:45 UTC
Description of problem:
Used tuned to set powersave profile

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.5-201.fc18.x86_64
type:           libreport

Comment 8 Fedora Update System 2013-04-15 11:10:00 UTC
selinux-policy-3.11.1-90.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-90.fc18

Comment 9 Fedora Update System 2013-04-16 00:05:31 UTC
Package selinux-policy-3.11.1-90.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-90.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5742/selinux-policy-3.11.1-90.fc18
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-04-18 02:49:31 UTC
selinux-policy-3.11.1-90.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.